

ssgTransform *makeBlueWireCube() ;
ssgTransform *makeGround() ;

#define WIRE_CELL 0
#define  BBB_CELL 1
#define  BBS_CELL 2
#define  SSS_CELL 3

class Cell
{
  sgCoord c ;
  ssgTransform *posn ;
  ssgSelector  *cell ;
  int rot ;
  int what ;

public:

  Cell ( int x, int y, int z, int size ) ;
  ssgBranch *getSSG () { return posn ; }
  void rerot () ;

  void rotate_up   () { rot++ ; rerot() ; }
  void rotate_down () { rot-- ; rerot() ; }

  int  get () { return what ; }

  void set ( int n )
  {
    what = n ;
    cell -> selectStep ( n ) ;
    rot = 0 ;
    rerot() ;
  }

  int flow ( int from ) ;
} ;



